// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.30.0
// 	protoc        v4.23.4
// source: phxservices/common/types/psa/v1/psa.proto

package v1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	v1 "phx-grpc-gateway/proxy_gen/phxservices/common/types/product/v1"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// LocationType: values map to the associated database "type" key
type LocationType int32

const (
	LocationType_LOCATION_TYPE_INVALID_UNSPECIFIED      LocationType = 0
	LocationType_LOCATION_TYPE_SHELF                    LocationType = 1
	LocationType_LOCATION_TYPE_ENDCAP                   LocationType = 2
	LocationType_LOCATION_TYPE_REPLENISHABLE_DISPLAY    LocationType = 3
	LocationType_LOCATION_TYPE_RESERVE_STOCK            LocationType = 4
	LocationType_LOCATION_TYPE_PDP_DISPLAY              LocationType = 5
	LocationType_LOCATION_TYPE_SEASONAL                 LocationType = 6
	LocationType_LOCATION_TYPE_TURN_PALLET              LocationType = 7
	LocationType_LOCATION_TYPE_J_HOOK                   LocationType = 8
	LocationType_LOCATION_TYPE_RETAIL_READY_PACK        LocationType = 9
	LocationType_LOCATION_TYPE_NON_REPLENISHABLE_PALLET LocationType = 10
	LocationType_LOCATION_TYPE_FRESH_ON_SRS             LocationType = 11
	LocationType_LOCATION_TYPE_EFC_ASAMBIENT            LocationType = 12
	LocationType_LOCATION_TYPE_EFC_MANUAL               LocationType = 13
	LocationType_LOCATION_TYPE_EFC_ASCOOLER             LocationType = 14
)

// Enum value maps for LocationType.
var (
	LocationType_name = map[int32]string{
		0:  "LOCATION_TYPE_INVALID_UNSPECIFIED",
		1:  "LOCATION_TYPE_SHELF",
		2:  "LOCATION_TYPE_ENDCAP",
		3:  "LOCATION_TYPE_REPLENISHABLE_DISPLAY",
		4:  "LOCATION_TYPE_RESERVE_STOCK",
		5:  "LOCATION_TYPE_PDP_DISPLAY",
		6:  "LOCATION_TYPE_SEASONAL",
		7:  "LOCATION_TYPE_TURN_PALLET",
		8:  "LOCATION_TYPE_J_HOOK",
		9:  "LOCATION_TYPE_RETAIL_READY_PACK",
		10: "LOCATION_TYPE_NON_REPLENISHABLE_PALLET",
		11: "LOCATION_TYPE_FRESH_ON_SRS",
		12: "LOCATION_TYPE_EFC_ASAMBIENT",
		13: "LOCATION_TYPE_EFC_MANUAL",
		14: "LOCATION_TYPE_EFC_ASCOOLER",
	}
	LocationType_value = map[string]int32{
		"LOCATION_TYPE_INVALID_UNSPECIFIED":      0,
		"LOCATION_TYPE_SHELF":                    1,
		"LOCATION_TYPE_ENDCAP":                   2,
		"LOCATION_TYPE_REPLENISHABLE_DISPLAY":    3,
		"LOCATION_TYPE_RESERVE_STOCK":            4,
		"LOCATION_TYPE_PDP_DISPLAY":              5,
		"LOCATION_TYPE_SEASONAL":                 6,
		"LOCATION_TYPE_TURN_PALLET":              7,
		"LOCATION_TYPE_J_HOOK":                   8,
		"LOCATION_TYPE_RETAIL_READY_PACK":        9,
		"LOCATION_TYPE_NON_REPLENISHABLE_PALLET": 10,
		"LOCATION_TYPE_FRESH_ON_SRS":             11,
		"LOCATION_TYPE_EFC_ASAMBIENT":            12,
		"LOCATION_TYPE_EFC_MANUAL":               13,
		"LOCATION_TYPE_EFC_ASCOOLER":             14,
	}
)

func (x LocationType) Enum() *LocationType {
	p := new(LocationType)
	*p = x
	return p
}

func (x LocationType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (LocationType) Descriptor() protoreflect.EnumDescriptor {
	return file_phxservices_common_types_psa_v1_psa_proto_enumTypes[0].Descriptor()
}

func (LocationType) Type() protoreflect.EnumType {
	return &file_phxservices_common_types_psa_v1_psa_proto_enumTypes[0]
}

func (x LocationType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use LocationType.Descriptor instead.
func (LocationType) EnumDescriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{0}
}

// AreaType: values map to the associated database "type" key
type AreaType int32

const (
	AreaType_AREA_TYPE_NO_AREA_UNSPECIFIED       AreaType = 0
	AreaType_AREA_TYPE_CENTER_STORE              AreaType = 1
	AreaType_AREA_TYPE_DAIRY                     AreaType = 2
	AreaType_AREA_TYPE_BEER_AND_WINE             AreaType = 3
	AreaType_AREA_TYPE_FROZEN                    AreaType = 4
	AreaType_AREA_TYPE_BAKERY                    AreaType = 5
	AreaType_AREA_TYPE_DELI                      AreaType = 6
	AreaType_AREA_TYPE_PRODUCE                   AreaType = 7
	AreaType_AREA_TYPE_FLORAL                    AreaType = 8
	AreaType_AREA_TYPE_MARKET                    AreaType = 9
	AreaType_AREA_TYPE_SEAFOOD                   AreaType = 10
	AreaType_AREA_TYPE_COSMETICS                 AreaType = 11
	AreaType_AREA_TYPE_DRUG_STORE                AreaType = 12
	AreaType_AREA_TYPE_PHOTO_AND_ENTERTAINMENT   AreaType = 13
	AreaType_AREA_TYPE_PHARMACY                  AreaType = 14
	AreaType_AREA_TYPE_CHECKSTANDS               AreaType = 15
	AreaType_AREA_TYPE_GASOLINE                  AreaType = 16
	AreaType_AREA_TYPE_NATURES_HARVEST           AreaType = 17
	AreaType_AREA_TYPE_TOBACCO_SHOP              AreaType = 18
	AreaType_AREA_TYPE_MIAS_MIRROR               AreaType = 19
	AreaType_AREA_TYPE_COOK_AND_GRILL            AreaType = 20
	AreaType_AREA_TYPE_PARTY                     AreaType = 21
	AreaType_AREA_TYPE_TEXAS_BACKYARD_OUTSIDE    AreaType = 22
	AreaType_AREA_TYPE_BABY                      AreaType = 23
	AreaType_AREA_TYPE_SCHOOL_AND_CRAFTS         AreaType = 24
	AreaType_AREA_TYPE_APPAREL                   AreaType = 25
	AreaType_AREA_TYPE_BOOKS_AND_MAGAZINES       AreaType = 26
	AreaType_AREA_TYPE_FRONT_DOOR_OUTSIDE        AreaType = 27
	AreaType_AREA_TYPE_TOYS                      AreaType = 28
	AreaType_AREA_TYPE_SHOWTIME_KITCHEN          AreaType = 29
	AreaType_AREA_TYPE_COOKING_CONNECTION        AreaType = 30
	AreaType_AREA_TYPE_LOBBY                     AreaType = 31
	AreaType_AREA_TYPE_SUSHI                     AreaType = 32
	AreaType_AREA_TYPE_SEASONAL                  AreaType = 33
	AreaType_AREA_TYPE_MEAL_SIMPLE               AreaType = 34
	AreaType_AREA_TYPE_END_OF_AISLE              AreaType = 35
	AreaType_AREA_TYPE_DRUGSTORE_GM_DISPLAYS     AreaType = 36
	AreaType_AREA_TYPE_KITCHEN                   AreaType = 37
	AreaType_AREA_TYPE_PET                       AreaType = 38
	AreaType_AREA_TYPE_HOUSEHOLD                 AreaType = 39
	AreaType_AREA_TYPE_KODI_SHOP                 AreaType = 40
	AreaType_AREA_TYPE_FOOD_SERVICE              AreaType = 41
	AreaType_AREA_TYPE_TEXAS_BACKYARD_INSIDE     AreaType = 42
	AreaType_AREA_TYPE_ESTORE                    AreaType = 43
	AreaType_AREA_TYPE_IMPULSE_DISPLAY           AreaType = 44
	AreaType_AREA_TYPE_WALL_OF_VALUE             AreaType = 45
	AreaType_AREA_TYPE_SODA_WALL                 AreaType = 46
	AreaType_AREA_TYPE_TRUE_TEXAS_BBQ_RESTAURANT AreaType = 47
	AreaType_AREA_TYPE_FLAMING_BIRD_RESTAURANT   AreaType = 48
	AreaType_AREA_TYPE_SOFLO_PIZZA_RESTAURANT    AreaType = 49
	AreaType_AREA_TYPE_ASIAN_GRILL               AreaType = 50
	AreaType_AREA_TYPE_HOME                      AreaType = 51
	AreaType_AREA_TYPE_PRODUCE_WET_RACK          AreaType = 71
	AreaType_AREA_TYPE_J_HOOKS                   AreaType = 75
)

// Enum value maps for AreaType.
var (
	AreaType_name = map[int32]string{
		0:  "AREA_TYPE_NO_AREA_UNSPECIFIED",
		1:  "AREA_TYPE_CENTER_STORE",
		2:  "AREA_TYPE_DAIRY",
		3:  "AREA_TYPE_BEER_AND_WINE",
		4:  "AREA_TYPE_FROZEN",
		5:  "AREA_TYPE_BAKERY",
		6:  "AREA_TYPE_DELI",
		7:  "AREA_TYPE_PRODUCE",
		8:  "AREA_TYPE_FLORAL",
		9:  "AREA_TYPE_MARKET",
		10: "AREA_TYPE_SEAFOOD",
		11: "AREA_TYPE_COSMETICS",
		12: "AREA_TYPE_DRUG_STORE",
		13: "AREA_TYPE_PHOTO_AND_ENTERTAINMENT",
		14: "AREA_TYPE_PHARMACY",
		15: "AREA_TYPE_CHECKSTANDS",
		16: "AREA_TYPE_GASOLINE",
		17: "AREA_TYPE_NATURES_HARVEST",
		18: "AREA_TYPE_TOBACCO_SHOP",
		19: "AREA_TYPE_MIAS_MIRROR",
		20: "AREA_TYPE_COOK_AND_GRILL",
		21: "AREA_TYPE_PARTY",
		22: "AREA_TYPE_TEXAS_BACKYARD_OUTSIDE",
		23: "AREA_TYPE_BABY",
		24: "AREA_TYPE_SCHOOL_AND_CRAFTS",
		25: "AREA_TYPE_APPAREL",
		26: "AREA_TYPE_BOOKS_AND_MAGAZINES",
		27: "AREA_TYPE_FRONT_DOOR_OUTSIDE",
		28: "AREA_TYPE_TOYS",
		29: "AREA_TYPE_SHOWTIME_KITCHEN",
		30: "AREA_TYPE_COOKING_CONNECTION",
		31: "AREA_TYPE_LOBBY",
		32: "AREA_TYPE_SUSHI",
		33: "AREA_TYPE_SEASONAL",
		34: "AREA_TYPE_MEAL_SIMPLE",
		35: "AREA_TYPE_END_OF_AISLE",
		36: "AREA_TYPE_DRUGSTORE_GM_DISPLAYS",
		37: "AREA_TYPE_KITCHEN",
		38: "AREA_TYPE_PET",
		39: "AREA_TYPE_HOUSEHOLD",
		40: "AREA_TYPE_KODI_SHOP",
		41: "AREA_TYPE_FOOD_SERVICE",
		42: "AREA_TYPE_TEXAS_BACKYARD_INSIDE",
		43: "AREA_TYPE_ESTORE",
		44: "AREA_TYPE_IMPULSE_DISPLAY",
		45: "AREA_TYPE_WALL_OF_VALUE",
		46: "AREA_TYPE_SODA_WALL",
		47: "AREA_TYPE_TRUE_TEXAS_BBQ_RESTAURANT",
		48: "AREA_TYPE_FLAMING_BIRD_RESTAURANT",
		49: "AREA_TYPE_SOFLO_PIZZA_RESTAURANT",
		50: "AREA_TYPE_ASIAN_GRILL",
		51: "AREA_TYPE_HOME",
		71: "AREA_TYPE_PRODUCE_WET_RACK",
		75: "AREA_TYPE_J_HOOKS",
	}
	AreaType_value = map[string]int32{
		"AREA_TYPE_NO_AREA_UNSPECIFIED":       0,
		"AREA_TYPE_CENTER_STORE":              1,
		"AREA_TYPE_DAIRY":                     2,
		"AREA_TYPE_BEER_AND_WINE":             3,
		"AREA_TYPE_FROZEN":                    4,
		"AREA_TYPE_BAKERY":                    5,
		"AREA_TYPE_DELI":                      6,
		"AREA_TYPE_PRODUCE":                   7,
		"AREA_TYPE_FLORAL":                    8,
		"AREA_TYPE_MARKET":                    9,
		"AREA_TYPE_SEAFOOD":                   10,
		"AREA_TYPE_COSMETICS":                 11,
		"AREA_TYPE_DRUG_STORE":                12,
		"AREA_TYPE_PHOTO_AND_ENTERTAINMENT":   13,
		"AREA_TYPE_PHARMACY":                  14,
		"AREA_TYPE_CHECKSTANDS":               15,
		"AREA_TYPE_GASOLINE":                  16,
		"AREA_TYPE_NATURES_HARVEST":           17,
		"AREA_TYPE_TOBACCO_SHOP":              18,
		"AREA_TYPE_MIAS_MIRROR":               19,
		"AREA_TYPE_COOK_AND_GRILL":            20,
		"AREA_TYPE_PARTY":                     21,
		"AREA_TYPE_TEXAS_BACKYARD_OUTSIDE":    22,
		"AREA_TYPE_BABY":                      23,
		"AREA_TYPE_SCHOOL_AND_CRAFTS":         24,
		"AREA_TYPE_APPAREL":                   25,
		"AREA_TYPE_BOOKS_AND_MAGAZINES":       26,
		"AREA_TYPE_FRONT_DOOR_OUTSIDE":        27,
		"AREA_TYPE_TOYS":                      28,
		"AREA_TYPE_SHOWTIME_KITCHEN":          29,
		"AREA_TYPE_COOKING_CONNECTION":        30,
		"AREA_TYPE_LOBBY":                     31,
		"AREA_TYPE_SUSHI":                     32,
		"AREA_TYPE_SEASONAL":                  33,
		"AREA_TYPE_MEAL_SIMPLE":               34,
		"AREA_TYPE_END_OF_AISLE":              35,
		"AREA_TYPE_DRUGSTORE_GM_DISPLAYS":     36,
		"AREA_TYPE_KITCHEN":                   37,
		"AREA_TYPE_PET":                       38,
		"AREA_TYPE_HOUSEHOLD":                 39,
		"AREA_TYPE_KODI_SHOP":                 40,
		"AREA_TYPE_FOOD_SERVICE":              41,
		"AREA_TYPE_TEXAS_BACKYARD_INSIDE":     42,
		"AREA_TYPE_ESTORE":                    43,
		"AREA_TYPE_IMPULSE_DISPLAY":           44,
		"AREA_TYPE_WALL_OF_VALUE":             45,
		"AREA_TYPE_SODA_WALL":                 46,
		"AREA_TYPE_TRUE_TEXAS_BBQ_RESTAURANT": 47,
		"AREA_TYPE_FLAMING_BIRD_RESTAURANT":   48,
		"AREA_TYPE_SOFLO_PIZZA_RESTAURANT":    49,
		"AREA_TYPE_ASIAN_GRILL":               50,
		"AREA_TYPE_HOME":                      51,
		"AREA_TYPE_PRODUCE_WET_RACK":          71,
		"AREA_TYPE_J_HOOKS":                   75,
	}
)

func (x AreaType) Enum() *AreaType {
	p := new(AreaType)
	*p = x
	return p
}

func (x AreaType) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (AreaType) Descriptor() protoreflect.EnumDescriptor {
	return file_phxservices_common_types_psa_v1_psa_proto_enumTypes[1].Descriptor()
}

func (AreaType) Type() protoreflect.EnumType {
	return &file_phxservices_common_types_psa_v1_psa_proto_enumTypes[1]
}

func (x AreaType) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use AreaType.Descriptor instead.
func (AreaType) EnumDescriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{1}
}

// ProductShelfAssignment represents the relationship of a product and a
// location in a facility, as well as metadata associated with the assignment
// such as facing information
type ProductShelfAssignment struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required: An H-E-B store's corp ID. Typically 3 or fewer digits.
	LocationNumber int32 `protobuf:"varint,1,opt,name=location_number,json=locationNumber,proto3" json:"location_number,omitempty"`
	// Required: A product identifier.
	ProductId int32 `protobuf:"varint,2,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	// Required: The logical shelf location of this product, plus its type.
	Location *ShelfLocation `protobuf:"bytes,3,opt,name=location,proto3" json:"location,omitempty"`
	// Required: The time at which this PSA becomes active.
	EffectiveAt string `protobuf:"bytes,4,opt,name=effective_at,json=effectiveAt,proto3" json:"effective_at,omitempty"`
	// Required: The onepass of the user that created or edited this PSA. May also be a service account or app name.
	// When returned from phx-ios, this may be a display name composed from the user's first and last name.
	UserId string `protobuf:"bytes,5,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	// Required: Details about the number and shape of products displayed at this location.
	Facings *ProductShelfFacings `protobuf:"bytes,6,opt,name=facings,proto3" json:"facings,omitempty"`
	// Required: Indicates if this PSA was made using visual planner.
	IsVisuallyPlanned bool `protobuf:"varint,7,opt,name=is_visually_planned,json=isVisuallyPlanned,proto3" json:"is_visually_planned,omitempty"`
}

func (x *ProductShelfAssignment) Reset() {
	*x = ProductShelfAssignment{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductShelfAssignment) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductShelfAssignment) ProtoMessage() {}

func (x *ProductShelfAssignment) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductShelfAssignment.ProtoReflect.Descriptor instead.
func (*ProductShelfAssignment) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{0}
}

func (x *ProductShelfAssignment) GetLocationNumber() int32 {
	if x != nil {
		return x.LocationNumber
	}
	return 0
}

func (x *ProductShelfAssignment) GetProductId() int32 {
	if x != nil {
		return x.ProductId
	}
	return 0
}

func (x *ProductShelfAssignment) GetLocation() *ShelfLocation {
	if x != nil {
		return x.Location
	}
	return nil
}

func (x *ProductShelfAssignment) GetEffectiveAt() string {
	if x != nil {
		return x.EffectiveAt
	}
	return ""
}

func (x *ProductShelfAssignment) GetUserId() string {
	if x != nil {
		return x.UserId
	}
	return ""
}

func (x *ProductShelfAssignment) GetFacings() *ProductShelfFacings {
	if x != nil {
		return x.Facings
	}
	return nil
}

func (x *ProductShelfAssignment) GetIsVisuallyPlanned() bool {
	if x != nil {
		return x.IsVisuallyPlanned
	}
	return false
}

// ShelfLocation represents the location of a product in a facility
type ShelfLocation struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// buf:lint:ignore COMMENT_FIELD
	LocationNumber int32 `protobuf:"varint,1,opt,name=location_number,json=locationNumber,proto3" json:"location_number,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	Area AreaType `protobuf:"varint,2,opt,name=area,proto3,enum=phxservices.common.types.psa.v1.AreaType" json:"area,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	Aisle int32 `protobuf:"varint,3,opt,name=aisle,proto3" json:"aisle,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	Side string `protobuf:"bytes,4,opt,name=side,proto3" json:"side,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	Section int32 `protobuf:"varint,5,opt,name=section,proto3" json:"section,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	Shelf int32 `protobuf:"varint,6,opt,name=shelf,proto3" json:"shelf,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	Type LocationType `protobuf:"varint,7,opt,name=type,proto3,enum=phxservices.common.types.psa.v1.LocationType" json:"type,omitempty"`
}

func (x *ShelfLocation) Reset() {
	*x = ShelfLocation{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ShelfLocation) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ShelfLocation) ProtoMessage() {}

func (x *ShelfLocation) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ShelfLocation.ProtoReflect.Descriptor instead.
func (*ShelfLocation) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{1}
}

func (x *ShelfLocation) GetLocationNumber() int32 {
	if x != nil {
		return x.LocationNumber
	}
	return 0
}

func (x *ShelfLocation) GetArea() AreaType {
	if x != nil {
		return x.Area
	}
	return AreaType_AREA_TYPE_NO_AREA_UNSPECIFIED
}

func (x *ShelfLocation) GetAisle() int32 {
	if x != nil {
		return x.Aisle
	}
	return 0
}

func (x *ShelfLocation) GetSide() string {
	if x != nil {
		return x.Side
	}
	return ""
}

func (x *ShelfLocation) GetSection() int32 {
	if x != nil {
		return x.Section
	}
	return 0
}

func (x *ShelfLocation) GetShelf() int32 {
	if x != nil {
		return x.Shelf
	}
	return 0
}

func (x *ShelfLocation) GetType() LocationType {
	if x != nil {
		return x.Type
	}
	return LocationType_LOCATION_TYPE_INVALID_UNSPECIFIED
}

// Represents the data detailing a H-E-B section location
type SectionLocation struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required: A H-E-B store area.
	Area AreaType `protobuf:"varint,1,opt,name=area,proto3,enum=phxservices.common.types.psa.v1.AreaType" json:"area,omitempty"`
	// Required: A H-E-B store aisle.
	Aisle int32 `protobuf:"varint,2,opt,name=aisle,proto3" json:"aisle,omitempty"`
	// Required: A H-E-B store aisle side.
	Side string `protobuf:"bytes,3,opt,name=side,proto3" json:"side,omitempty"`
	// Required: A H-E-B store section.
	Section int32 `protobuf:"varint,4,opt,name=section,proto3" json:"section,omitempty"`
}

func (x *SectionLocation) Reset() {
	*x = SectionLocation{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SectionLocation) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SectionLocation) ProtoMessage() {}

func (x *SectionLocation) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SectionLocation.ProtoReflect.Descriptor instead.
func (*SectionLocation) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{2}
}

func (x *SectionLocation) GetArea() AreaType {
	if x != nil {
		return x.Area
	}
	return AreaType_AREA_TYPE_NO_AREA_UNSPECIFIED
}

func (x *SectionLocation) GetAisle() int32 {
	if x != nil {
		return x.Aisle
	}
	return 0
}

func (x *SectionLocation) GetSide() string {
	if x != nil {
		return x.Side
	}
	return ""
}

func (x *SectionLocation) GetSection() int32 {
	if x != nil {
		return x.Section
	}
	return 0
}

// ProductShelfFacings represents the capacity information of a product shelf
// assignment
type ProductShelfFacings struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// buf:lint:ignore COMMENT_FIELD
	FacingCount int32 `protobuf:"varint,1,opt,name=facing_count,json=facingCount,proto3" json:"facing_count,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	RowDeep int32 `protobuf:"varint,2,opt,name=row_deep,json=rowDeep,proto3" json:"row_deep,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	RowHigh int32 `protobuf:"varint,3,opt,name=row_high,json=rowHigh,proto3" json:"row_high,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	MinRowsDeep int32 `protobuf:"varint,4,opt,name=min_rows_deep,json=minRowsDeep,proto3" json:"min_rows_deep,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	MinRowsHigh int32 `protobuf:"varint,5,opt,name=min_rows_high,json=minRowsHigh,proto3" json:"min_rows_high,omitempty"`
}

func (x *ProductShelfFacings) Reset() {
	*x = ProductShelfFacings{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ProductShelfFacings) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ProductShelfFacings) ProtoMessage() {}

func (x *ProductShelfFacings) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ProductShelfFacings.ProtoReflect.Descriptor instead.
func (*ProductShelfFacings) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{3}
}

func (x *ProductShelfFacings) GetFacingCount() int32 {
	if x != nil {
		return x.FacingCount
	}
	return 0
}

func (x *ProductShelfFacings) GetRowDeep() int32 {
	if x != nil {
		return x.RowDeep
	}
	return 0
}

func (x *ProductShelfFacings) GetRowHigh() int32 {
	if x != nil {
		return x.RowHigh
	}
	return 0
}

func (x *ProductShelfFacings) GetMinRowsDeep() int32 {
	if x != nil {
		return x.MinRowsDeep
	}
	return 0
}

func (x *ProductShelfFacings) GetMinRowsHigh() int32 {
	if x != nil {
		return x.MinRowsHigh
	}
	return 0
}

// buf:lint:ignore COMMENT_MESSAGE
type ListProductShelfAssignmentsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// buf:lint:ignore COMMENT_FIELD
	LocationNumber int32 `protobuf:"varint,1,opt,name=location_number,json=locationNumber,proto3" json:"location_number,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	ProductId int32 `protobuf:"varint,2,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
}

func (x *ListProductShelfAssignmentsRequest) Reset() {
	*x = ListProductShelfAssignmentsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListProductShelfAssignmentsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListProductShelfAssignmentsRequest) ProtoMessage() {}

func (x *ListProductShelfAssignmentsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListProductShelfAssignmentsRequest.ProtoReflect.Descriptor instead.
func (*ListProductShelfAssignmentsRequest) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{4}
}

func (x *ListProductShelfAssignmentsRequest) GetLocationNumber() int32 {
	if x != nil {
		return x.LocationNumber
	}
	return 0
}

func (x *ListProductShelfAssignmentsRequest) GetProductId() int32 {
	if x != nil {
		return x.ProductId
	}
	return 0
}

// buf:lint:ignore COMMENT_MESSAGE
type ListProductShelfAssignmentsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// buf:lint:ignore COMMENT_FIELD
	Psas []*ProductShelfAssignment `protobuf:"bytes,1,rep,name=psas,proto3" json:"psas,omitempty"`
}

func (x *ListProductShelfAssignmentsResponse) Reset() {
	*x = ListProductShelfAssignmentsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListProductShelfAssignmentsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListProductShelfAssignmentsResponse) ProtoMessage() {}

func (x *ListProductShelfAssignmentsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListProductShelfAssignmentsResponse.ProtoReflect.Descriptor instead.
func (*ListProductShelfAssignmentsResponse) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{5}
}

func (x *ListProductShelfAssignmentsResponse) GetPsas() []*ProductShelfAssignment {
	if x != nil {
		return x.Psas
	}
	return nil
}

// buf:lint:ignore COMMENT_MESSAGE
type GetProductShelfAssignmentRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// buf:lint:ignore COMMENT_FIELD
	LocationNumber int32 `protobuf:"varint,1,opt,name=location_number,json=locationNumber,proto3" json:"location_number,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	ProductId int32 `protobuf:"varint,2,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	Location *ShelfLocation `protobuf:"bytes,3,opt,name=location,proto3" json:"location,omitempty"`
}

func (x *GetProductShelfAssignmentRequest) Reset() {
	*x = GetProductShelfAssignmentRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetProductShelfAssignmentRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetProductShelfAssignmentRequest) ProtoMessage() {}

func (x *GetProductShelfAssignmentRequest) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetProductShelfAssignmentRequest.ProtoReflect.Descriptor instead.
func (*GetProductShelfAssignmentRequest) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{6}
}

func (x *GetProductShelfAssignmentRequest) GetLocationNumber() int32 {
	if x != nil {
		return x.LocationNumber
	}
	return 0
}

func (x *GetProductShelfAssignmentRequest) GetProductId() int32 {
	if x != nil {
		return x.ProductId
	}
	return 0
}

func (x *GetProductShelfAssignmentRequest) GetLocation() *ShelfLocation {
	if x != nil {
		return x.Location
	}
	return nil
}

// buf:lint:ignore COMMENT_MESSAGE
type GetProductShelfAssignmentResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// buf:lint:ignore COMMENT_FIELD
	Psa *ProductShelfAssignment `protobuf:"bytes,1,opt,name=psa,proto3" json:"psa,omitempty"`
}

func (x *GetProductShelfAssignmentResponse) Reset() {
	*x = GetProductShelfAssignmentResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetProductShelfAssignmentResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetProductShelfAssignmentResponse) ProtoMessage() {}

func (x *GetProductShelfAssignmentResponse) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetProductShelfAssignmentResponse.ProtoReflect.Descriptor instead.
func (*GetProductShelfAssignmentResponse) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{7}
}

func (x *GetProductShelfAssignmentResponse) GetPsa() *ProductShelfAssignment {
	if x != nil {
		return x.Psa
	}
	return nil
}

// buf:lint:ignore COMMENT_MESSAGE
type CreateProductShelfAssignmentRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// buf:lint:ignore COMMENT_FIELD
	Psa *ProductShelfAssignment `protobuf:"bytes,1,opt,name=psa,proto3" json:"psa,omitempty"`
}

func (x *CreateProductShelfAssignmentRequest) Reset() {
	*x = CreateProductShelfAssignmentRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateProductShelfAssignmentRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateProductShelfAssignmentRequest) ProtoMessage() {}

func (x *CreateProductShelfAssignmentRequest) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateProductShelfAssignmentRequest.ProtoReflect.Descriptor instead.
func (*CreateProductShelfAssignmentRequest) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{8}
}

func (x *CreateProductShelfAssignmentRequest) GetPsa() *ProductShelfAssignment {
	if x != nil {
		return x.Psa
	}
	return nil
}

// buf:lint:ignore COMMENT_MESSAGE
type CreateProductShelfAssignmentResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// buf:lint:ignore COMMENT_FIELD
	Psa *ProductShelfAssignment `protobuf:"bytes,1,opt,name=psa,proto3" json:"psa,omitempty"`
}

func (x *CreateProductShelfAssignmentResponse) Reset() {
	*x = CreateProductShelfAssignmentResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateProductShelfAssignmentResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateProductShelfAssignmentResponse) ProtoMessage() {}

func (x *CreateProductShelfAssignmentResponse) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateProductShelfAssignmentResponse.ProtoReflect.Descriptor instead.
func (*CreateProductShelfAssignmentResponse) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{9}
}

func (x *CreateProductShelfAssignmentResponse) GetPsa() *ProductShelfAssignment {
	if x != nil {
		return x.Psa
	}
	return nil
}

// buf:lint:ignore COMMENT_MESSAGE
type UpdateProductShelfAssignmentRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// buf:lint:ignore COMMENT_FIELD
	LocationNumber int32 `protobuf:"varint,1,opt,name=location_number,json=locationNumber,proto3" json:"location_number,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	ProductId int32 `protobuf:"varint,2,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	Location *ShelfLocation `protobuf:"bytes,3,opt,name=location,proto3" json:"location,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	UpdatedPsa *ProductShelfAssignment `protobuf:"bytes,4,opt,name=updated_psa,json=updatedPsa,proto3" json:"updated_psa,omitempty"`
}

func (x *UpdateProductShelfAssignmentRequest) Reset() {
	*x = UpdateProductShelfAssignmentRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateProductShelfAssignmentRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateProductShelfAssignmentRequest) ProtoMessage() {}

func (x *UpdateProductShelfAssignmentRequest) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateProductShelfAssignmentRequest.ProtoReflect.Descriptor instead.
func (*UpdateProductShelfAssignmentRequest) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{10}
}

func (x *UpdateProductShelfAssignmentRequest) GetLocationNumber() int32 {
	if x != nil {
		return x.LocationNumber
	}
	return 0
}

func (x *UpdateProductShelfAssignmentRequest) GetProductId() int32 {
	if x != nil {
		return x.ProductId
	}
	return 0
}

func (x *UpdateProductShelfAssignmentRequest) GetLocation() *ShelfLocation {
	if x != nil {
		return x.Location
	}
	return nil
}

func (x *UpdateProductShelfAssignmentRequest) GetUpdatedPsa() *ProductShelfAssignment {
	if x != nil {
		return x.UpdatedPsa
	}
	return nil
}

// buf:lint:ignore COMMENT_MESSAGE
type UpdateProductShelfAssignmentResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// buf:lint:ignore COMMENT_FIELD
	Psa *ProductShelfAssignment `protobuf:"bytes,1,opt,name=psa,proto3" json:"psa,omitempty"`
}

func (x *UpdateProductShelfAssignmentResponse) Reset() {
	*x = UpdateProductShelfAssignmentResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateProductShelfAssignmentResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateProductShelfAssignmentResponse) ProtoMessage() {}

func (x *UpdateProductShelfAssignmentResponse) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateProductShelfAssignmentResponse.ProtoReflect.Descriptor instead.
func (*UpdateProductShelfAssignmentResponse) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{11}
}

func (x *UpdateProductShelfAssignmentResponse) GetPsa() *ProductShelfAssignment {
	if x != nil {
		return x.Psa
	}
	return nil
}

// buf:lint:ignore COMMENT_MESSAGE
type DeleteProductShelfAssignmentRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// buf:lint:ignore COMMENT_FIELD
	LocationNumber int32 `protobuf:"varint,1,opt,name=location_number,json=locationNumber,proto3" json:"location_number,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	ProductId int32 `protobuf:"varint,2,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	// buf:lint:ignore COMMENT_FIELD
	Location *ShelfLocation `protobuf:"bytes,3,opt,name=location,proto3" json:"location,omitempty"`
}

func (x *DeleteProductShelfAssignmentRequest) Reset() {
	*x = DeleteProductShelfAssignmentRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteProductShelfAssignmentRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteProductShelfAssignmentRequest) ProtoMessage() {}

func (x *DeleteProductShelfAssignmentRequest) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteProductShelfAssignmentRequest.ProtoReflect.Descriptor instead.
func (*DeleteProductShelfAssignmentRequest) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{12}
}

func (x *DeleteProductShelfAssignmentRequest) GetLocationNumber() int32 {
	if x != nil {
		return x.LocationNumber
	}
	return 0
}

func (x *DeleteProductShelfAssignmentRequest) GetProductId() int32 {
	if x != nil {
		return x.ProductId
	}
	return 0
}

func (x *DeleteProductShelfAssignmentRequest) GetLocation() *ShelfLocation {
	if x != nil {
		return x.Location
	}
	return nil
}

// buf:lint:ignore COMMENT_MESSAGE
type DeleteProductShelfAssignmentResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *DeleteProductShelfAssignmentResponse) Reset() {
	*x = DeleteProductShelfAssignmentResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteProductShelfAssignmentResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteProductShelfAssignmentResponse) ProtoMessage() {}

func (x *DeleteProductShelfAssignmentResponse) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteProductShelfAssignmentResponse.ProtoReflect.Descriptor instead.
func (*DeleteProductShelfAssignmentResponse) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{13}
}

// Represents a request for info on all the products with PSAs at a given logical location in a store
type GetLocationProductDetailsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required: The corp ID of an H-E-B store.
	LocationNumber uint32 `protobuf:"varint,1,opt,name=location_number,json=locationNumber,proto3" json:"location_number,omitempty"`
	// Required: A logical location in a store.
	SectionLocation *SectionLocation `protobuf:"bytes,2,opt,name=section_location,json=sectionLocation,proto3" json:"section_location,omitempty"`
}

func (x *GetLocationProductDetailsRequest) Reset() {
	*x = GetLocationProductDetailsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetLocationProductDetailsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLocationProductDetailsRequest) ProtoMessage() {}

func (x *GetLocationProductDetailsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLocationProductDetailsRequest.ProtoReflect.Descriptor instead.
func (*GetLocationProductDetailsRequest) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{14}
}

func (x *GetLocationProductDetailsRequest) GetLocationNumber() uint32 {
	if x != nil {
		return x.LocationNumber
	}
	return 0
}

func (x *GetLocationProductDetailsRequest) GetSectionLocation() *SectionLocation {
	if x != nil {
		return x.SectionLocation
	}
	return nil
}

// Contains PSA data about a product that has a PSA at a given location, along with all its other PSAs.
type LocationProductShelfInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required: A product UPC or EAN, with no check digits.
	Upc string `protobuf:"bytes,1,opt,name=upc,proto3" json:"upc,omitempty"`
	// Required: The product ID associated with the above UPC.
	ProductId uint64 `protobuf:"varint,2,opt,name=product_id,json=productId,proto3" json:"product_id,omitempty"`
	// Required: This product's PSA at this shelf.
	ShelfPsa *ProductShelfAssignment `protobuf:"bytes,3,opt,name=shelf_psa,json=shelfPsa,proto3" json:"shelf_psa,omitempty"`
	// Required: Any other PSAs for this product at any location, including the one provided in the request if it is
	// PSAd to multiple shelves, AND including PSAs for the other product in a breakpack relationship with this one, if
	// any. Might be empty.
	OtherPsas []*ProductShelfAssignment `protobuf:"bytes,4,rep,name=other_psas,json=otherPsas,proto3" json:"other_psas,omitempty"`
	// Optional: If this product is in a breakpack relationship, this field identifies the other product and its role.
	BreakpackAssociatedProduct *v1.BreakpackAssociatedProduct `protobuf:"bytes,5,opt,name=breakpack_associated_product,json=breakpackAssociatedProduct,proto3" json:"breakpack_associated_product,omitempty"`
}

func (x *LocationProductShelfInfo) Reset() {
	*x = LocationProductShelfInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LocationProductShelfInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LocationProductShelfInfo) ProtoMessage() {}

func (x *LocationProductShelfInfo) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LocationProductShelfInfo.ProtoReflect.Descriptor instead.
func (*LocationProductShelfInfo) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{15}
}

func (x *LocationProductShelfInfo) GetUpc() string {
	if x != nil {
		return x.Upc
	}
	return ""
}

func (x *LocationProductShelfInfo) GetProductId() uint64 {
	if x != nil {
		return x.ProductId
	}
	return 0
}

func (x *LocationProductShelfInfo) GetShelfPsa() *ProductShelfAssignment {
	if x != nil {
		return x.ShelfPsa
	}
	return nil
}

func (x *LocationProductShelfInfo) GetOtherPsas() []*ProductShelfAssignment {
	if x != nil {
		return x.OtherPsas
	}
	return nil
}

func (x *LocationProductShelfInfo) GetBreakpackAssociatedProduct() *v1.BreakpackAssociatedProduct {
	if x != nil {
		return x.BreakpackAssociatedProduct
	}
	return nil
}

// Groups products by their shelf at a given location, to be used in GetLocationProductDetailsResponse
type LocationShelfInfo struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required: A Shelf number, usually 1-12
	Shelf uint32 `protobuf:"varint,1,opt,name=shelf,proto3" json:"shelf,omitempty"`
	// Required: A list of products with PSAs on this shelf, and their other PSAs.
	Products []*LocationProductShelfInfo `protobuf:"bytes,2,rep,name=products,proto3" json:"products,omitempty"`
}

func (x *LocationShelfInfo) Reset() {
	*x = LocationShelfInfo{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *LocationShelfInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*LocationShelfInfo) ProtoMessage() {}

func (x *LocationShelfInfo) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use LocationShelfInfo.ProtoReflect.Descriptor instead.
func (*LocationShelfInfo) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{16}
}

func (x *LocationShelfInfo) GetShelf() uint32 {
	if x != nil {
		return x.Shelf
	}
	return 0
}

func (x *LocationShelfInfo) GetProducts() []*LocationProductShelfInfo {
	if x != nil {
		return x.Products
	}
	return nil
}

// Contains basic details and location data about every product with at least one PSA at the requested location.
type GetLocationProductDetailsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Required: The corp id of a H-E-B location, from the original request.
	LocationNumber uint32 `protobuf:"varint,1,opt,name=location_number,json=locationNumber,proto3" json:"location_number,omitempty"`
	// Required: The logical location provided in the original request.
	SectionLocation *SectionLocation `protobuf:"bytes,2,opt,name=section_location,json=sectionLocation,proto3" json:"section_location,omitempty"`
	// Required: True if the location has a riser shelf.
	HasRiser bool `protobuf:"varint,3,opt,name=has_riser,json=hasRiser,proto3" json:"has_riser,omitempty"`
	// Optional: The ID of the IKB planogram assigned to this location, if any.
	PlanogramDbKey uint64 `protobuf:"varint,4,opt,name=planogram_db_key,json=planogramDbKey,proto3" json:"planogram_db_key,omitempty"`
	// Required: Details of each shelf that has product PSAs at this location. May be empty.
	Shelves []*LocationShelfInfo `protobuf:"bytes,5,rep,name=shelves,proto3" json:"shelves,omitempty"`
}

func (x *GetLocationProductDetailsResponse) Reset() {
	*x = GetLocationProductDetailsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetLocationProductDetailsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLocationProductDetailsResponse) ProtoMessage() {}

func (x *GetLocationProductDetailsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_phxservices_common_types_psa_v1_psa_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLocationProductDetailsResponse.ProtoReflect.Descriptor instead.
func (*GetLocationProductDetailsResponse) Descriptor() ([]byte, []int) {
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP(), []int{17}
}

func (x *GetLocationProductDetailsResponse) GetLocationNumber() uint32 {
	if x != nil {
		return x.LocationNumber
	}
	return 0
}

func (x *GetLocationProductDetailsResponse) GetSectionLocation() *SectionLocation {
	if x != nil {
		return x.SectionLocation
	}
	return nil
}

func (x *GetLocationProductDetailsResponse) GetHasRiser() bool {
	if x != nil {
		return x.HasRiser
	}
	return false
}

func (x *GetLocationProductDetailsResponse) GetPlanogramDbKey() uint64 {
	if x != nil {
		return x.PlanogramDbKey
	}
	return 0
}

func (x *GetLocationProductDetailsResponse) GetShelves() []*LocationShelfInfo {
	if x != nil {
		return x.Shelves
	}
	return nil
}

var File_phxservices_common_types_psa_v1_psa_proto protoreflect.FileDescriptor

var file_phxservices_common_types_psa_v1_psa_proto_rawDesc = []byte{
	0x0a, 0x29, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x63, 0x6f,
	0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2f, 0x70, 0x73, 0x61, 0x2f, 0x76,
	0x31, 0x2f, 0x70, 0x73, 0x61, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1f, 0x70, 0x68, 0x78,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x73, 0x61, 0x2e, 0x76, 0x31, 0x1a, 0x31, 0x70, 0x68,
	0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2f, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x2f, 0x76,
	0x31, 0x2f, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22,
	0xe8, 0x02, 0x0a, 0x16, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66,
	0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x27, 0x0a, 0x0f, 0x6c, 0x6f,
	0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x05, 0x52, 0x0e, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x75, 0x6d,
	0x62, 0x65, 0x72, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x49, 0x64, 0x12, 0x4a, 0x0a, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e,
	0x70, 0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x4c, 0x6f, 0x63, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x21,
	0x0a, 0x0c, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x69, 0x76, 0x65, 0x5f, 0x61, 0x74, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x65, 0x66, 0x66, 0x65, 0x63, 0x74, 0x69, 0x76, 0x65, 0x41,
	0x74, 0x12, 0x17, 0x0a, 0x07, 0x75, 0x73, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x05, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x06, 0x75, 0x73, 0x65, 0x72, 0x49, 0x64, 0x12, 0x4e, 0x0a, 0x07, 0x66, 0x61,
	0x63, 0x69, 0x6e, 0x67, 0x73, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x34, 0x2e, 0x70, 0x68,
	0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x46, 0x61, 0x63, 0x69, 0x6e, 0x67,
	0x73, 0x52, 0x07, 0x66, 0x61, 0x63, 0x69, 0x6e, 0x67, 0x73, 0x12, 0x2e, 0x0a, 0x13, 0x69, 0x73,
	0x5f, 0x76, 0x69, 0x73, 0x75, 0x61, 0x6c, 0x6c, 0x79, 0x5f, 0x70, 0x6c, 0x61, 0x6e, 0x6e, 0x65,
	0x64, 0x18, 0x07, 0x20, 0x01, 0x28, 0x08, 0x52, 0x11, 0x69, 0x73, 0x56, 0x69, 0x73, 0x75, 0x61,
	0x6c, 0x6c, 0x79, 0x50, 0x6c, 0x61, 0x6e, 0x6e, 0x65, 0x64, 0x22, 0x94, 0x02, 0x0a, 0x0d, 0x53,
	0x68, 0x65, 0x6c, 0x66, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x27, 0x0a, 0x0f,
	0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0e, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e,
	0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x3d, 0x0a, 0x04, 0x61, 0x72, 0x65, 0x61, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x29, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70,
	0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x41, 0x72, 0x65, 0x61, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04,
	0x61, 0x72, 0x65, 0x61, 0x12, 0x14, 0x0a, 0x05, 0x61, 0x69, 0x73, 0x6c, 0x65, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x05, 0x52, 0x05, 0x61, 0x69, 0x73, 0x6c, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x69,
	0x64, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x73, 0x69, 0x64, 0x65, 0x12, 0x18,
	0x0a, 0x07, 0x73, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x05, 0x52,
	0x07, 0x73, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x14, 0x0a, 0x05, 0x73, 0x68, 0x65, 0x6c,
	0x66, 0x18, 0x06, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x73, 0x68, 0x65, 0x6c, 0x66, 0x12, 0x41,
	0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x2d, 0x2e, 0x70,
	0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x4c,
	0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04, 0x74, 0x79, 0x70,
	0x65, 0x22, 0x94, 0x01, 0x0a, 0x0f, 0x53, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x4c, 0x6f, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x3d, 0x0a, 0x04, 0x61, 0x72, 0x65, 0x61, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0e, 0x32, 0x29, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70,
	0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x41, 0x72, 0x65, 0x61, 0x54, 0x79, 0x70, 0x65, 0x52, 0x04,
	0x61, 0x72, 0x65, 0x61, 0x12, 0x14, 0x0a, 0x05, 0x61, 0x69, 0x73, 0x6c, 0x65, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x05, 0x52, 0x05, 0x61, 0x69, 0x73, 0x6c, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x69,
	0x64, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x73, 0x69, 0x64, 0x65, 0x12, 0x18,
	0x0a, 0x07, 0x73, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52,
	0x07, 0x73, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xb6, 0x01, 0x0a, 0x13, 0x50, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x46, 0x61, 0x63, 0x69, 0x6e, 0x67, 0x73,
	0x12, 0x21, 0x0a, 0x0c, 0x66, 0x61, 0x63, 0x69, 0x6e, 0x67, 0x5f, 0x63, 0x6f, 0x75, 0x6e, 0x74,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0b, 0x66, 0x61, 0x63, 0x69, 0x6e, 0x67, 0x43, 0x6f,
	0x75, 0x6e, 0x74, 0x12, 0x19, 0x0a, 0x08, 0x72, 0x6f, 0x77, 0x5f, 0x64, 0x65, 0x65, 0x70, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x07, 0x72, 0x6f, 0x77, 0x44, 0x65, 0x65, 0x70, 0x12, 0x19,
	0x0a, 0x08, 0x72, 0x6f, 0x77, 0x5f, 0x68, 0x69, 0x67, 0x68, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x07, 0x72, 0x6f, 0x77, 0x48, 0x69, 0x67, 0x68, 0x12, 0x22, 0x0a, 0x0d, 0x6d, 0x69, 0x6e,
	0x5f, 0x72, 0x6f, 0x77, 0x73, 0x5f, 0x64, 0x65, 0x65, 0x70, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x0b, 0x6d, 0x69, 0x6e, 0x52, 0x6f, 0x77, 0x73, 0x44, 0x65, 0x65, 0x70, 0x12, 0x22, 0x0a,
	0x0d, 0x6d, 0x69, 0x6e, 0x5f, 0x72, 0x6f, 0x77, 0x73, 0x5f, 0x68, 0x69, 0x67, 0x68, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x0b, 0x6d, 0x69, 0x6e, 0x52, 0x6f, 0x77, 0x73, 0x48, 0x69, 0x67,
	0x68, 0x22, 0x6c, 0x0a, 0x22, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x53, 0x68, 0x65, 0x6c, 0x66, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x73,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x27, 0x0a, 0x0f, 0x6c, 0x6f, 0x63, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x5f, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05,
	0x52, 0x0e, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72,
	0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x05, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x49, 0x64, 0x22,
	0x72, 0x0a, 0x23, 0x4c, 0x69, 0x73, 0x74, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68,
	0x65, 0x6c, 0x66, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x73, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4b, 0x0a, 0x04, 0x70, 0x73, 0x61, 0x73, 0x18, 0x01,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e,
	0x70, 0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68,
	0x65, 0x6c, 0x66, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x04, 0x70,
	0x73, 0x61, 0x73, 0x22, 0xb6, 0x01, 0x0a, 0x20, 0x47, 0x65, 0x74, 0x50, 0x72, 0x6f, 0x64, 0x75,
	0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e,
	0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x27, 0x0a, 0x0f, 0x6c, 0x6f, 0x63, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x05, 0x52, 0x0e, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x75, 0x6d, 0x62, 0x65,
	0x72, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x49, 0x64,
	0x12, 0x4a, 0x0a, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73,
	0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x73,
	0x61, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x52, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x6e, 0x0a, 0x21,
	0x47, 0x65, 0x74, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x41,
	0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x49, 0x0a, 0x03, 0x70, 0x73, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x37,
	0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d,
	0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x73, 0x61, 0x2e, 0x76, 0x31,
	0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x41, 0x73, 0x73,
	0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x03, 0x70, 0x73, 0x61, 0x22, 0x70, 0x0a, 0x23,
	0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65,
	0x6c, 0x66, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x49, 0x0a, 0x03, 0x70, 0x73, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x37, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x73, 0x61, 0x2e,
	0x76, 0x31, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x41,
	0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x03, 0x70, 0x73, 0x61, 0x22, 0x71,
	0x0a, 0x24, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53,
	0x68, 0x65, 0x6c, 0x66, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x49, 0x0a, 0x03, 0x70, 0x73, 0x61, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70,
	0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65,
	0x6c, 0x66, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x03, 0x70, 0x73,
	0x61, 0x22, 0x93, 0x02, 0x0a, 0x23, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x50, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65,
	0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x27, 0x0a, 0x0f, 0x6c, 0x6f, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x0e, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x75, 0x6d, 0x62,
	0x65, 0x72, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x69, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x09, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x49,
	0x64, 0x12, 0x4a, 0x0a, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70,
	0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x4c, 0x6f, 0x63, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x52, 0x08, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x58, 0x0a,
	0x0b, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x70, 0x73, 0x61, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x37, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73,
	0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x73,
	0x61, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c,
	0x66, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x0a, 0x75, 0x70, 0x64,
	0x61, 0x74, 0x65, 0x64, 0x50, 0x73, 0x61, 0x22, 0x71, 0x0a, 0x24, 0x55, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x41, 0x73, 0x73,
	0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x49, 0x0a, 0x03, 0x70, 0x73, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x70,
	0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x50,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x41, 0x73, 0x73, 0x69, 0x67,
	0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x03, 0x70, 0x73, 0x61, 0x22, 0xb9, 0x01, 0x0a, 0x23, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c,
	0x66, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x27, 0x0a, 0x0f, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6e,
	0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0e, 0x6c, 0x6f, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x1d, 0x0a, 0x0a, 0x70,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52,
	0x09, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x49, 0x64, 0x12, 0x4a, 0x0a, 0x08, 0x6c, 0x6f,
	0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2e, 0x2e, 0x70,
	0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x53,
	0x68, 0x65, 0x6c, 0x66, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x6c, 0x6f,
	0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x26, 0x0a, 0x24, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x41, 0x73, 0x73, 0x69,
	0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0xa8,
	0x01, 0x0a, 0x20, 0x47, 0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x50, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x27, 0x0a, 0x0f, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f,
	0x6e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0e, 0x6c, 0x6f,
	0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x5b, 0x0a, 0x10,
	0x73, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76,
	0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65,
	0x73, 0x2e, 0x70, 0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0f, 0x73, 0x65, 0x63, 0x74, 0x69, 0x6f,
	0x6e, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xfd, 0x02, 0x0a, 0x18, 0x4c, 0x6f,
	0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65,
	0x6c, 0x66, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x10, 0x0a, 0x03, 0x75, 0x70, 0x63, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x03, 0x75, 0x70, 0x63, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x04, 0x52, 0x09, 0x70, 0x72,
	0x6f, 0x64, 0x75, 0x63, 0x74, 0x49, 0x64, 0x12, 0x54, 0x0a, 0x09, 0x73, 0x68, 0x65, 0x6c, 0x66,
	0x5f, 0x70, 0x73, 0x61, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x37, 0x2e, 0x70, 0x68, 0x78,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e,
	0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x50, 0x72, 0x6f,
	0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d,
	0x65, 0x6e, 0x74, 0x52, 0x08, 0x73, 0x68, 0x65, 0x6c, 0x66, 0x50, 0x73, 0x61, 0x12, 0x56, 0x0a,
	0x0a, 0x6f, 0x74, 0x68, 0x65, 0x72, 0x5f, 0x70, 0x73, 0x61, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28,
	0x0b, 0x32, 0x37, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e,
	0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x73, 0x61,
	0x2e, 0x76, 0x31, 0x2e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66,
	0x41, 0x73, 0x73, 0x69, 0x67, 0x6e, 0x6d, 0x65, 0x6e, 0x74, 0x52, 0x09, 0x6f, 0x74, 0x68, 0x65,
	0x72, 0x50, 0x73, 0x61, 0x73, 0x12, 0x81, 0x01, 0x0a, 0x1c, 0x62, 0x72, 0x65, 0x61, 0x6b, 0x70,
	0x61, 0x63, 0x6b, 0x5f, 0x61, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x70,
	0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3f, 0x2e, 0x70,
	0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x2e,
	0x76, 0x31, 0x2e, 0x42, 0x72, 0x65, 0x61, 0x6b, 0x70, 0x61, 0x63, 0x6b, 0x41, 0x73, 0x73, 0x6f,
	0x63, 0x69, 0x61, 0x74, 0x65, 0x64, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x52, 0x1a, 0x62,
	0x72, 0x65, 0x61, 0x6b, 0x70, 0x61, 0x63, 0x6b, 0x41, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74,
	0x65, 0x64, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x22, 0x80, 0x01, 0x0a, 0x11, 0x4c, 0x6f,
	0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x49, 0x6e, 0x66, 0x6f, 0x12,
	0x14, 0x0a, 0x05, 0x73, 0x68, 0x65, 0x6c, 0x66, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x05,
	0x73, 0x68, 0x65, 0x6c, 0x66, 0x12, 0x55, 0x0a, 0x08, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74,
	0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x39, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70,
	0x65, 0x73, 0x2e, 0x70, 0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x53, 0x68, 0x65, 0x6c, 0x66, 0x49, 0x6e,
	0x66, 0x6f, 0x52, 0x08, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x73, 0x22, 0xbe, 0x02, 0x0a,
	0x21, 0x47, 0x65, 0x74, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x50, 0x72, 0x6f, 0x64,
	0x75, 0x63, 0x74, 0x44, 0x65, 0x74, 0x61, 0x69, 0x6c, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x27, 0x0a, 0x0f, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6e,
	0x75, 0x6d, 0x62, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0e, 0x6c, 0x6f, 0x63,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x5b, 0x0a, 0x10, 0x73,
	0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x6c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x30, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69,
	0x63, 0x65, 0x73, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73,
	0x2e, 0x70, 0x73, 0x61, 0x2e, 0x76, 0x31, 0x2e, 0x53, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x4c,
	0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x0f, 0x73, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e,
	0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1b, 0x0a, 0x09, 0x68, 0x61, 0x73, 0x5f,
	0x72, 0x69, 0x73, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x08, 0x68, 0x61, 0x73,
	0x52, 0x69, 0x73, 0x65, 0x72, 0x12, 0x28, 0x0a, 0x10, 0x70, 0x6c, 0x61, 0x6e, 0x6f, 0x67, 0x72,
	0x61, 0x6d, 0x5f, 0x64, 0x62, 0x5f, 0x6b, 0x65, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28, 0x04, 0x52,
	0x0e, 0x70, 0x6c, 0x61, 0x6e, 0x6f, 0x67, 0x72, 0x61, 0x6d, 0x44, 0x62, 0x4b, 0x65, 0x79, 0x12,
	0x4c, 0x0a, 0x07, 0x73, 0x68, 0x65, 0x6c, 0x76, 0x65, 0x73, 0x18, 0x05, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x32, 0x2e, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x73, 0x2e, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x74, 0x79, 0x70, 0x65, 0x73, 0x2e, 0x70, 0x73, 0x61, 0x2e,
	0x76, 0x31, 0x2e, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x68, 0x65, 0x6c, 0x66,
	0x49, 0x6e, 0x66, 0x6f, 0x52, 0x07, 0x73, 0x68, 0x65, 0x6c, 0x76, 0x65, 0x73, 0x2a, 0xf6, 0x03,
	0x0a, 0x0c, 0x4c, 0x6f, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x54, 0x79, 0x70, 0x65, 0x12, 0x25,
	0x0a, 0x21, 0x4c, 0x4f, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f,
	0x49, 0x4e, 0x56, 0x41, 0x4c, 0x49, 0x44, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49, 0x46,
	0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x17, 0x0a, 0x13, 0x4c, 0x4f, 0x43, 0x41, 0x54, 0x49, 0x4f,
	0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x53, 0x48, 0x45, 0x4c, 0x46, 0x10, 0x01, 0x12, 0x18,
	0x0a, 0x14, 0x4c, 0x4f, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f,
	0x45, 0x4e, 0x44, 0x43, 0x41, 0x50, 0x10, 0x02, 0x12, 0x27, 0x0a, 0x23, 0x4c, 0x4f, 0x43, 0x41,
	0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x45, 0x50, 0x4c, 0x45, 0x4e,
	0x49, 0x53, 0x48, 0x41, 0x42, 0x4c, 0x45, 0x5f, 0x44, 0x49, 0x53, 0x50, 0x4c, 0x41, 0x59, 0x10,
	0x03, 0x12, 0x1f, 0x0a, 0x1b, 0x4c, 0x4f, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59,
	0x50, 0x45, 0x5f, 0x52, 0x45, 0x53, 0x45, 0x52, 0x56, 0x45, 0x5f, 0x53, 0x54, 0x4f, 0x43, 0x4b,
	0x10, 0x04, 0x12, 0x1d, 0x0a, 0x19, 0x4c, 0x4f, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x50, 0x44, 0x50, 0x5f, 0x44, 0x49, 0x53, 0x50, 0x4c, 0x41, 0x59, 0x10,
	0x05, 0x12, 0x1a, 0x0a, 0x16, 0x4c, 0x4f, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59,
	0x50, 0x45, 0x5f, 0x53, 0x45, 0x41, 0x53, 0x4f, 0x4e, 0x41, 0x4c, 0x10, 0x06, 0x12, 0x1d, 0x0a,
	0x19, 0x4c, 0x4f, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x54,
	0x55, 0x52, 0x4e, 0x5f, 0x50, 0x41, 0x4c, 0x4c, 0x45, 0x54, 0x10, 0x07, 0x12, 0x18, 0x0a, 0x14,
	0x4c, 0x4f, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x4a, 0x5f,
	0x48, 0x4f, 0x4f, 0x4b, 0x10, 0x08, 0x12, 0x23, 0x0a, 0x1f, 0x4c, 0x4f, 0x43, 0x41, 0x54, 0x49,
	0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x52, 0x45, 0x54, 0x41, 0x49, 0x4c, 0x5f, 0x52,
	0x45, 0x41, 0x44, 0x59, 0x5f, 0x50, 0x41, 0x43, 0x4b, 0x10, 0x09, 0x12, 0x2a, 0x0a, 0x26, 0x4c,
	0x4f, 0x43, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x4e, 0x4f, 0x4e,
	0x5f, 0x52, 0x45, 0x50, 0x4c, 0x45, 0x4e, 0x49, 0x53, 0x48, 0x41, 0x42, 0x4c, 0x45, 0x5f, 0x50,
	0x41, 0x4c, 0x4c, 0x45, 0x54, 0x10, 0x0a, 0x12, 0x1e, 0x0a, 0x1a, 0x4c, 0x4f, 0x43, 0x41, 0x54,
	0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x46, 0x52, 0x45, 0x53, 0x48, 0x5f, 0x4f,
	0x4e, 0x5f, 0x53, 0x52, 0x53, 0x10, 0x0b, 0x12, 0x1f, 0x0a, 0x1b, 0x4c, 0x4f, 0x43, 0x41, 0x54,
	0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x45, 0x46, 0x43, 0x5f, 0x41, 0x53, 0x41,
	0x4d, 0x42, 0x49, 0x45, 0x4e, 0x54, 0x10, 0x0c, 0x12, 0x1c, 0x0a, 0x18, 0x4c, 0x4f, 0x43, 0x41,
	0x54, 0x49, 0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x45, 0x46, 0x43, 0x5f, 0x4d, 0x41,
	0x4e, 0x55, 0x41, 0x4c, 0x10, 0x0d, 0x12, 0x1e, 0x0a, 0x1a, 0x4c, 0x4f, 0x43, 0x41, 0x54, 0x49,
	0x4f, 0x4e, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x45, 0x46, 0x43, 0x5f, 0x41, 0x53, 0x43, 0x4f,
	0x4f, 0x4c, 0x45, 0x52, 0x10, 0x0e, 0x2a, 0xd2, 0x0b, 0x0a, 0x08, 0x41, 0x72, 0x65, 0x61, 0x54,
	0x79, 0x70, 0x65, 0x12, 0x21, 0x0a, 0x1d, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45,
	0x5f, 0x4e, 0x4f, 0x5f, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x55, 0x4e, 0x53, 0x50, 0x45, 0x43, 0x49,
	0x46, 0x49, 0x45, 0x44, 0x10, 0x00, 0x12, 0x1a, 0x0a, 0x16, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x43, 0x45, 0x4e, 0x54, 0x45, 0x52, 0x5f, 0x53, 0x54, 0x4f, 0x52, 0x45,
	0x10, 0x01, 0x12, 0x13, 0x0a, 0x0f, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f,
	0x44, 0x41, 0x49, 0x52, 0x59, 0x10, 0x02, 0x12, 0x1b, 0x0a, 0x17, 0x41, 0x52, 0x45, 0x41, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x42, 0x45, 0x45, 0x52, 0x5f, 0x41, 0x4e, 0x44, 0x5f, 0x57, 0x49,
	0x4e, 0x45, 0x10, 0x03, 0x12, 0x14, 0x0a, 0x10, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50,
	0x45, 0x5f, 0x46, 0x52, 0x4f, 0x5a, 0x45, 0x4e, 0x10, 0x04, 0x12, 0x14, 0x0a, 0x10, 0x41, 0x52,
	0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x42, 0x41, 0x4b, 0x45, 0x52, 0x59, 0x10, 0x05,
	0x12, 0x12, 0x0a, 0x0e, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x44, 0x45,
	0x4c, 0x49, 0x10, 0x06, 0x12, 0x15, 0x0a, 0x11, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50,
	0x45, 0x5f, 0x50, 0x52, 0x4f, 0x44, 0x55, 0x43, 0x45, 0x10, 0x07, 0x12, 0x14, 0x0a, 0x10, 0x41,
	0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x46, 0x4c, 0x4f, 0x52, 0x41, 0x4c, 0x10,
	0x08, 0x12, 0x14, 0x0a, 0x10, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x4d,
	0x41, 0x52, 0x4b, 0x45, 0x54, 0x10, 0x09, 0x12, 0x15, 0x0a, 0x11, 0x41, 0x52, 0x45, 0x41, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x53, 0x45, 0x41, 0x46, 0x4f, 0x4f, 0x44, 0x10, 0x0a, 0x12, 0x17,
	0x0a, 0x13, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x43, 0x4f, 0x53, 0x4d,
	0x45, 0x54, 0x49, 0x43, 0x53, 0x10, 0x0b, 0x12, 0x18, 0x0a, 0x14, 0x41, 0x52, 0x45, 0x41, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x44, 0x52, 0x55, 0x47, 0x5f, 0x53, 0x54, 0x4f, 0x52, 0x45, 0x10,
	0x0c, 0x12, 0x25, 0x0a, 0x21, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x50,
	0x48, 0x4f, 0x54, 0x4f, 0x5f, 0x41, 0x4e, 0x44, 0x5f, 0x45, 0x4e, 0x54, 0x45, 0x52, 0x54, 0x41,
	0x49, 0x4e, 0x4d, 0x45, 0x4e, 0x54, 0x10, 0x0d, 0x12, 0x16, 0x0a, 0x12, 0x41, 0x52, 0x45, 0x41,
	0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x50, 0x48, 0x41, 0x52, 0x4d, 0x41, 0x43, 0x59, 0x10, 0x0e,
	0x12, 0x19, 0x0a, 0x15, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x43, 0x48,
	0x45, 0x43, 0x4b, 0x53, 0x54, 0x41, 0x4e, 0x44, 0x53, 0x10, 0x0f, 0x12, 0x16, 0x0a, 0x12, 0x41,
	0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x47, 0x41, 0x53, 0x4f, 0x4c, 0x49, 0x4e,
	0x45, 0x10, 0x10, 0x12, 0x1d, 0x0a, 0x19, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45,
	0x5f, 0x4e, 0x41, 0x54, 0x55, 0x52, 0x45, 0x53, 0x5f, 0x48, 0x41, 0x52, 0x56, 0x45, 0x53, 0x54,
	0x10, 0x11, 0x12, 0x1a, 0x0a, 0x16, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f,
	0x54, 0x4f, 0x42, 0x41, 0x43, 0x43, 0x4f, 0x5f, 0x53, 0x48, 0x4f, 0x50, 0x10, 0x12, 0x12, 0x19,
	0x0a, 0x15, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x4d, 0x49, 0x41, 0x53,
	0x5f, 0x4d, 0x49, 0x52, 0x52, 0x4f, 0x52, 0x10, 0x13, 0x12, 0x1c, 0x0a, 0x18, 0x41, 0x52, 0x45,
	0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x43, 0x4f, 0x4f, 0x4b, 0x5f, 0x41, 0x4e, 0x44, 0x5f,
	0x47, 0x52, 0x49, 0x4c, 0x4c, 0x10, 0x14, 0x12, 0x13, 0x0a, 0x0f, 0x41, 0x52, 0x45, 0x41, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x50, 0x41, 0x52, 0x54, 0x59, 0x10, 0x15, 0x12, 0x24, 0x0a, 0x20,
	0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x54, 0x45, 0x58, 0x41, 0x53, 0x5f,
	0x42, 0x41, 0x43, 0x4b, 0x59, 0x41, 0x52, 0x44, 0x5f, 0x4f, 0x55, 0x54, 0x53, 0x49, 0x44, 0x45,
	0x10, 0x16, 0x12, 0x12, 0x0a, 0x0e, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f,
	0x42, 0x41, 0x42, 0x59, 0x10, 0x17, 0x12, 0x1f, 0x0a, 0x1b, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x53, 0x43, 0x48, 0x4f, 0x4f, 0x4c, 0x5f, 0x41, 0x4e, 0x44, 0x5f, 0x43,
	0x52, 0x41, 0x46, 0x54, 0x53, 0x10, 0x18, 0x12, 0x15, 0x0a, 0x11, 0x41, 0x52, 0x45, 0x41, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x41, 0x50, 0x50, 0x41, 0x52, 0x45, 0x4c, 0x10, 0x19, 0x12, 0x21,
	0x0a, 0x1d, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x42, 0x4f, 0x4f, 0x4b,
	0x53, 0x5f, 0x41, 0x4e, 0x44, 0x5f, 0x4d, 0x41, 0x47, 0x41, 0x5a, 0x49, 0x4e, 0x45, 0x53, 0x10,
	0x1a, 0x12, 0x20, 0x0a, 0x1c, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x46,
	0x52, 0x4f, 0x4e, 0x54, 0x5f, 0x44, 0x4f, 0x4f, 0x52, 0x5f, 0x4f, 0x55, 0x54, 0x53, 0x49, 0x44,
	0x45, 0x10, 0x1b, 0x12, 0x12, 0x0a, 0x0e, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45,
	0x5f, 0x54, 0x4f, 0x59, 0x53, 0x10, 0x1c, 0x12, 0x1e, 0x0a, 0x1a, 0x41, 0x52, 0x45, 0x41, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x53, 0x48, 0x4f, 0x57, 0x54, 0x49, 0x4d, 0x45, 0x5f, 0x4b, 0x49,
	0x54, 0x43, 0x48, 0x45, 0x4e, 0x10, 0x1d, 0x12, 0x20, 0x0a, 0x1c, 0x41, 0x52, 0x45, 0x41, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x43, 0x4f, 0x4f, 0x4b, 0x49, 0x4e, 0x47, 0x5f, 0x43, 0x4f, 0x4e,
	0x4e, 0x45, 0x43, 0x54, 0x49, 0x4f, 0x4e, 0x10, 0x1e, 0x12, 0x13, 0x0a, 0x0f, 0x41, 0x52, 0x45,
	0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x4c, 0x4f, 0x42, 0x42, 0x59, 0x10, 0x1f, 0x12, 0x13,
	0x0a, 0x0f, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x53, 0x55, 0x53, 0x48,
	0x49, 0x10, 0x20, 0x12, 0x16, 0x0a, 0x12, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45,
	0x5f, 0x53, 0x45, 0x41, 0x53, 0x4f, 0x4e, 0x41, 0x4c, 0x10, 0x21, 0x12, 0x19, 0x0a, 0x15, 0x41,
	0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x4d, 0x45, 0x41, 0x4c, 0x5f, 0x53, 0x49,
	0x4d, 0x50, 0x4c, 0x45, 0x10, 0x22, 0x12, 0x1a, 0x0a, 0x16, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x45, 0x4e, 0x44, 0x5f, 0x4f, 0x46, 0x5f, 0x41, 0x49, 0x53, 0x4c, 0x45,
	0x10, 0x23, 0x12, 0x23, 0x0a, 0x1f, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f,
	0x44, 0x52, 0x55, 0x47, 0x53, 0x54, 0x4f, 0x52, 0x45, 0x5f, 0x47, 0x4d, 0x5f, 0x44, 0x49, 0x53,
	0x50, 0x4c, 0x41, 0x59, 0x53, 0x10, 0x24, 0x12, 0x15, 0x0a, 0x11, 0x41, 0x52, 0x45, 0x41, 0x5f,
	0x54, 0x59, 0x50, 0x45, 0x5f, 0x4b, 0x49, 0x54, 0x43, 0x48, 0x45, 0x4e, 0x10, 0x25, 0x12, 0x11,
	0x0a, 0x0d, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x50, 0x45, 0x54, 0x10,
	0x26, 0x12, 0x17, 0x0a, 0x13, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x48,
	0x4f, 0x55, 0x53, 0x45, 0x48, 0x4f, 0x4c, 0x44, 0x10, 0x27, 0x12, 0x17, 0x0a, 0x13, 0x41, 0x52,
	0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x4b, 0x4f, 0x44, 0x49, 0x5f, 0x53, 0x48, 0x4f,
	0x50, 0x10, 0x28, 0x12, 0x1a, 0x0a, 0x16, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45,
	0x5f, 0x46, 0x4f, 0x4f, 0x44, 0x5f, 0x53, 0x45, 0x52, 0x56, 0x49, 0x43, 0x45, 0x10, 0x29, 0x12,
	0x23, 0x0a, 0x1f, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x54, 0x45, 0x58,
	0x41, 0x53, 0x5f, 0x42, 0x41, 0x43, 0x4b, 0x59, 0x41, 0x52, 0x44, 0x5f, 0x49, 0x4e, 0x53, 0x49,
	0x44, 0x45, 0x10, 0x2a, 0x12, 0x14, 0x0a, 0x10, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50,
	0x45, 0x5f, 0x45, 0x53, 0x54, 0x4f, 0x52, 0x45, 0x10, 0x2b, 0x12, 0x1d, 0x0a, 0x19, 0x41, 0x52,
	0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x49, 0x4d, 0x50, 0x55, 0x4c, 0x53, 0x45, 0x5f,
	0x44, 0x49, 0x53, 0x50, 0x4c, 0x41, 0x59, 0x10, 0x2c, 0x12, 0x1b, 0x0a, 0x17, 0x41, 0x52, 0x45,
	0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x57, 0x41, 0x4c, 0x4c, 0x5f, 0x4f, 0x46, 0x5f, 0x56,
	0x41, 0x4c, 0x55, 0x45, 0x10, 0x2d, 0x12, 0x17, 0x0a, 0x13, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54,
	0x59, 0x50, 0x45, 0x5f, 0x53, 0x4f, 0x44, 0x41, 0x5f, 0x57, 0x41, 0x4c, 0x4c, 0x10, 0x2e, 0x12,
	0x27, 0x0a, 0x23, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x54, 0x52, 0x55,
	0x45, 0x5f, 0x54, 0x45, 0x58, 0x41, 0x53, 0x5f, 0x42, 0x42, 0x51, 0x5f, 0x52, 0x45, 0x53, 0x54,
	0x41, 0x55, 0x52, 0x41, 0x4e, 0x54, 0x10, 0x2f, 0x12, 0x25, 0x0a, 0x21, 0x41, 0x52, 0x45, 0x41,
	0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x46, 0x4c, 0x41, 0x4d, 0x49, 0x4e, 0x47, 0x5f, 0x42, 0x49,
	0x52, 0x44, 0x5f, 0x52, 0x45, 0x53, 0x54, 0x41, 0x55, 0x52, 0x41, 0x4e, 0x54, 0x10, 0x30, 0x12,
	0x24, 0x0a, 0x20, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x53, 0x4f, 0x46,
	0x4c, 0x4f, 0x5f, 0x50, 0x49, 0x5a, 0x5a, 0x41, 0x5f, 0x52, 0x45, 0x53, 0x54, 0x41, 0x55, 0x52,
	0x41, 0x4e, 0x54, 0x10, 0x31, 0x12, 0x19, 0x0a, 0x15, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59,
	0x50, 0x45, 0x5f, 0x41, 0x53, 0x49, 0x41, 0x4e, 0x5f, 0x47, 0x52, 0x49, 0x4c, 0x4c, 0x10, 0x32,
	0x12, 0x12, 0x0a, 0x0e, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50, 0x45, 0x5f, 0x48, 0x4f,
	0x4d, 0x45, 0x10, 0x33, 0x12, 0x1e, 0x0a, 0x1a, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50,
	0x45, 0x5f, 0x50, 0x52, 0x4f, 0x44, 0x55, 0x43, 0x45, 0x5f, 0x57, 0x45, 0x54, 0x5f, 0x52, 0x41,
	0x43, 0x4b, 0x10, 0x47, 0x12, 0x15, 0x0a, 0x11, 0x41, 0x52, 0x45, 0x41, 0x5f, 0x54, 0x59, 0x50,
	0x45, 0x5f, 0x4a, 0x5f, 0x48, 0x4f, 0x4f, 0x4b, 0x53, 0x10, 0x4b, 0x42, 0x3c, 0x5a, 0x3a, 0x70,
	0x68, 0x78, 0x2d, 0x67, 0x72, 0x70, 0x63, 0x2d, 0x67, 0x61, 0x74, 0x65, 0x77, 0x61, 0x79, 0x2f,
	0x70, 0x72, 0x6f, 0x78, 0x79, 0x5f, 0x67, 0x65, 0x6e, 0x2f, 0x70, 0x68, 0x78, 0x73, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x73, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x74, 0x79, 0x70,
	0x65, 0x73, 0x2f, 0x70, 0x73, 0x61, 0x2f, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_phxservices_common_types_psa_v1_psa_proto_rawDescOnce sync.Once
	file_phxservices_common_types_psa_v1_psa_proto_rawDescData = file_phxservices_common_types_psa_v1_psa_proto_rawDesc
)

func file_phxservices_common_types_psa_v1_psa_proto_rawDescGZIP() []byte {
	file_phxservices_common_types_psa_v1_psa_proto_rawDescOnce.Do(func() {
		file_phxservices_common_types_psa_v1_psa_proto_rawDescData = protoimpl.X.CompressGZIP(file_phxservices_common_types_psa_v1_psa_proto_rawDescData)
	})
	return file_phxservices_common_types_psa_v1_psa_proto_rawDescData
}

var file_phxservices_common_types_psa_v1_psa_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_phxservices_common_types_psa_v1_psa_proto_msgTypes = make([]protoimpl.MessageInfo, 18)
var file_phxservices_common_types_psa_v1_psa_proto_goTypes = []interface{}{
	(LocationType)(0),                            // 0: phxservices.common.types.psa.v1.LocationType
	(AreaType)(0),                                // 1: phxservices.common.types.psa.v1.AreaType
	(*ProductShelfAssignment)(nil),               // 2: phxservices.common.types.psa.v1.ProductShelfAssignment
	(*ShelfLocation)(nil),                        // 3: phxservices.common.types.psa.v1.ShelfLocation
	(*SectionLocation)(nil),                      // 4: phxservices.common.types.psa.v1.SectionLocation
	(*ProductShelfFacings)(nil),                  // 5: phxservices.common.types.psa.v1.ProductShelfFacings
	(*ListProductShelfAssignmentsRequest)(nil),   // 6: phxservices.common.types.psa.v1.ListProductShelfAssignmentsRequest
	(*ListProductShelfAssignmentsResponse)(nil),  // 7: phxservices.common.types.psa.v1.ListProductShelfAssignmentsResponse
	(*GetProductShelfAssignmentRequest)(nil),     // 8: phxservices.common.types.psa.v1.GetProductShelfAssignmentRequest
	(*GetProductShelfAssignmentResponse)(nil),    // 9: phxservices.common.types.psa.v1.GetProductShelfAssignmentResponse
	(*CreateProductShelfAssignmentRequest)(nil),  // 10: phxservices.common.types.psa.v1.CreateProductShelfAssignmentRequest
	(*CreateProductShelfAssignmentResponse)(nil), // 11: phxservices.common.types.psa.v1.CreateProductShelfAssignmentResponse
	(*UpdateProductShelfAssignmentRequest)(nil),  // 12: phxservices.common.types.psa.v1.UpdateProductShelfAssignmentRequest
	(*UpdateProductShelfAssignmentResponse)(nil), // 13: phxservices.common.types.psa.v1.UpdateProductShelfAssignmentResponse
	(*DeleteProductShelfAssignmentRequest)(nil),  // 14: phxservices.common.types.psa.v1.DeleteProductShelfAssignmentRequest
	(*DeleteProductShelfAssignmentResponse)(nil), // 15: phxservices.common.types.psa.v1.DeleteProductShelfAssignmentResponse
	(*GetLocationProductDetailsRequest)(nil),     // 16: phxservices.common.types.psa.v1.GetLocationProductDetailsRequest
	(*LocationProductShelfInfo)(nil),             // 17: phxservices.common.types.psa.v1.LocationProductShelfInfo
	(*LocationShelfInfo)(nil),                    // 18: phxservices.common.types.psa.v1.LocationShelfInfo
	(*GetLocationProductDetailsResponse)(nil),    // 19: phxservices.common.types.psa.v1.GetLocationProductDetailsResponse
	(*v1.BreakpackAssociatedProduct)(nil),        // 20: phxservices.common.types.product.v1.BreakpackAssociatedProduct
}
var file_phxservices_common_types_psa_v1_psa_proto_depIdxs = []int32{
	3,  // 0: phxservices.common.types.psa.v1.ProductShelfAssignment.location:type_name -> phxservices.common.types.psa.v1.ShelfLocation
	5,  // 1: phxservices.common.types.psa.v1.ProductShelfAssignment.facings:type_name -> phxservices.common.types.psa.v1.ProductShelfFacings
	1,  // 2: phxservices.common.types.psa.v1.ShelfLocation.area:type_name -> phxservices.common.types.psa.v1.AreaType
	0,  // 3: phxservices.common.types.psa.v1.ShelfLocation.type:type_name -> phxservices.common.types.psa.v1.LocationType
	1,  // 4: phxservices.common.types.psa.v1.SectionLocation.area:type_name -> phxservices.common.types.psa.v1.AreaType
	2,  // 5: phxservices.common.types.psa.v1.ListProductShelfAssignmentsResponse.psas:type_name -> phxservices.common.types.psa.v1.ProductShelfAssignment
	3,  // 6: phxservices.common.types.psa.v1.GetProductShelfAssignmentRequest.location:type_name -> phxservices.common.types.psa.v1.ShelfLocation
	2,  // 7: phxservices.common.types.psa.v1.GetProductShelfAssignmentResponse.psa:type_name -> phxservices.common.types.psa.v1.ProductShelfAssignment
	2,  // 8: phxservices.common.types.psa.v1.CreateProductShelfAssignmentRequest.psa:type_name -> phxservices.common.types.psa.v1.ProductShelfAssignment
	2,  // 9: phxservices.common.types.psa.v1.CreateProductShelfAssignmentResponse.psa:type_name -> phxservices.common.types.psa.v1.ProductShelfAssignment
	3,  // 10: phxservices.common.types.psa.v1.UpdateProductShelfAssignmentRequest.location:type_name -> phxservices.common.types.psa.v1.ShelfLocation
	2,  // 11: phxservices.common.types.psa.v1.UpdateProductShelfAssignmentRequest.updated_psa:type_name -> phxservices.common.types.psa.v1.ProductShelfAssignment
	2,  // 12: phxservices.common.types.psa.v1.UpdateProductShelfAssignmentResponse.psa:type_name -> phxservices.common.types.psa.v1.ProductShelfAssignment
	3,  // 13: phxservices.common.types.psa.v1.DeleteProductShelfAssignmentRequest.location:type_name -> phxservices.common.types.psa.v1.ShelfLocation
	4,  // 14: phxservices.common.types.psa.v1.GetLocationProductDetailsRequest.section_location:type_name -> phxservices.common.types.psa.v1.SectionLocation
	2,  // 15: phxservices.common.types.psa.v1.LocationProductShelfInfo.shelf_psa:type_name -> phxservices.common.types.psa.v1.ProductShelfAssignment
	2,  // 16: phxservices.common.types.psa.v1.LocationProductShelfInfo.other_psas:type_name -> phxservices.common.types.psa.v1.ProductShelfAssignment
	20, // 17: phxservices.common.types.psa.v1.LocationProductShelfInfo.breakpack_associated_product:type_name -> phxservices.common.types.product.v1.BreakpackAssociatedProduct
	17, // 18: phxservices.common.types.psa.v1.LocationShelfInfo.products:type_name -> phxservices.common.types.psa.v1.LocationProductShelfInfo
	4,  // 19: phxservices.common.types.psa.v1.GetLocationProductDetailsResponse.section_location:type_name -> phxservices.common.types.psa.v1.SectionLocation
	18, // 20: phxservices.common.types.psa.v1.GetLocationProductDetailsResponse.shelves:type_name -> phxservices.common.types.psa.v1.LocationShelfInfo
	21, // [21:21] is the sub-list for method output_type
	21, // [21:21] is the sub-list for method input_type
	21, // [21:21] is the sub-list for extension type_name
	21, // [21:21] is the sub-list for extension extendee
	0,  // [0:21] is the sub-list for field type_name
}

func init() { file_phxservices_common_types_psa_v1_psa_proto_init() }
func file_phxservices_common_types_psa_v1_psa_proto_init() {
	if File_phxservices_common_types_psa_v1_psa_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductShelfAssignment); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ShelfLocation); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SectionLocation); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ProductShelfFacings); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListProductShelfAssignmentsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListProductShelfAssignmentsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetProductShelfAssignmentRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetProductShelfAssignmentResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateProductShelfAssignmentRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateProductShelfAssignmentResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateProductShelfAssignmentRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateProductShelfAssignmentResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteProductShelfAssignmentRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteProductShelfAssignmentResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetLocationProductDetailsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LocationProductShelfInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*LocationShelfInfo); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_phxservices_common_types_psa_v1_psa_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetLocationProductDetailsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_phxservices_common_types_psa_v1_psa_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   18,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_phxservices_common_types_psa_v1_psa_proto_goTypes,
		DependencyIndexes: file_phxservices_common_types_psa_v1_psa_proto_depIdxs,
		EnumInfos:         file_phxservices_common_types_psa_v1_psa_proto_enumTypes,
		MessageInfos:      file_phxservices_common_types_psa_v1_psa_proto_msgTypes,
	}.Build()
	File_phxservices_common_types_psa_v1_psa_proto = out.File
	file_phxservices_common_types_psa_v1_psa_proto_rawDesc = nil
	file_phxservices_common_types_psa_v1_psa_proto_goTypes = nil
	file_phxservices_common_types_psa_v1_psa_proto_depIdxs = nil
}
